[<img src="https://raw.githubusercontent.com/squishy-scsi/squishy/main/contrib/img/sachi/electrichearts_20220323A_sachi_trans.png" align="right" width="400"/>](https://docs.scsi.moe/mascot.html)
# Squishy: The SCSI Multitool

Squishy is a platform for working with old SCSI devices with modern systems in a flexible manner. It was originally developed as a one-off solution for the [taperipper](https://lethalbit.net/projects/taperipper/) project, which was to boot a modern system off of a IBM 9348-002 9-track magnetic tape drive.

It has since evolved into being a generic toolkit and hardware platform for all things SCSI.

Squishy is comprised of 4 core components; A gateware library built on [Torii](https://github.com/shrine-maiden-heavy-industries/torii-hdl); A python library with various utilities and structures for dealing with SCSI data; A applet system to allow for custom gateware/python code applets to run on the hardware; And finally, the hardware itself.

> [!IMPORTANT]
> If you're looking for the Squishy hardware, the design files have moved to [`squishy-scsi/hardware`](https://github.com/squishy-scsi/hardware).

## Documentation

The documentation for Squishy can be found at [https://docs.scsi.moe](https://docs.scsi.moe).

## Installation

The installation instructions for squishy on various platforms can be found on the [https://docs.scsi.moe/install.html](https://docs.scsi.moe/install.html) page.

## Hardware

The Squishy hardware design files have be migrated to [`squishy-scsi/hardware`](https://github.com/squishy-scsi/hardware).

Details about the squishy hardware can be found on the [https://docs.scsi.moe/hardware/index.html](https://docs.scsi.moe/hardware/index.html) page.


## Mascot - Sachi

![Sachi the spirit fox](https://raw.githubusercontent.com/squishy-scsi/squishy/main/contrib/img/sachi/electrichearts_20211013A_sachi_trans_1024.png)

More information about Sachi is available on her [mascot page](https://docs.scsi.moe/mascot.html) in the documentation.

Sachi was designed and illustrated by the amazing [Tyson Tan (tysontan.com)](https://tysontan.com). He provides mascot design service for free and open source software projects, free of charge, under free license.

## Community

Squishy has a dedicated IRC channel, [#squishy on libera.chat](https://web.libera.chat/#squishy). Join to ask questions, discuss ongoing development, or just hang out.

**NOTE:** Squishy does not have an official discord, nor any endorsed discord servers, for an explanation as to why, see the [F.A.Q.](https://docs.scsi.moe/faq.html)

## Licenses

The Squishy project is licensed under 3 individual licenses, one for the hardware and gateware, one for the software and one for the documentation.

The hardware is licensed under the [CERN-OHL-S](https://ohwr.org/cern_ohl_s_v2.txt), the license for which can be found in [`squishy-scsi/hardware/LICENSE`](https://github.com/squishy-scsi/hardware/tree/main/LICENSE)

The software and gateware are licensed under the [BSD-3-Clause](https://spdx.org/licenses/BSD-3-Clause.html) and can be found in [LICENSE.software](https://github.com/squishy-scsi/squishy/tree/main/LICENSE.software).

The documentation is licensed under the Creative Commons [CC-BY-SA](https://creativecommons.org/licenses/by-sa/4.0/) and can be found in [LICENSE.docs](https://github.com/squishy-scsi/squishy/tree/main/LICENSE.docs)

The icons used in the GUI are from the [KDE](https://kde.org) project. They are the [breeze-icons](https://github.com/KDE/breeze-icons/) and they are licensed under the [LGPL v2.1](https://spdx.org/licenses/LGPL-2.1-only.html), and can be found in [LICENSE.icons](https://github.com/squishy-scsi/squishy/tree/main/LICENSE.icons)

The fonts used in the GUI are [Fira Code](https://github.com/tonsky/FiraCode), and [Noto Sans](https://fonts.google.com/noto/specimen/Noto+Sans), both of which are under the [OFL 1.1](https://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL), and can be found in [LICENSE.fonts](https://github.com/squishy-scsi/squishy/tree/main/LICENSE.fonts)

The print/pdf documentation uses the font [Nunito](https://fonts.google.com/specimen/Nunito) which is under the [OFL 1.1](https://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL), and can be found in [LICENSE.fonts](https://github.com/squishy-scsi/squishy-scsi/tree/main/LICENSE.fonts)

Sachi, the mascot is dual-licensed under the [BSD-3-Clause](https://spdx.org/licenses/BSD-3-Clause.html) and the Creative Commons [CC-BY-SA](https://creativecommons.org/licenses/by-sa/2.0/)
