# SPDX-License-Identifier: BSD-3-Clause

__all__ = (
)

__doc__ = '''\

The following table lists the timing requirements for each SCSI version.

+-----------------------+--------------+--------------+--------------+
|  Name                 | SCSI1        | SCSI2        | SCSI3        |
+=======================+==============+==============+==============+
| Arbitration           | 2.2us        | 2.4us        | 2.4us        |
+-----------------------+--------------+--------------+--------------+
| Assertion             | 90ns         | 90ns         | Unspecified  |
+-----------------------+--------------+--------------+--------------+
| Bus Clear             | 800ns        | 800ns        | 800ns        |
+-----------------------+--------------+--------------+--------------+
| Bus Free              | 800ns        | 800ns        | 800ns        |
+-----------------------+--------------+--------------+--------------+
| Bus Set               | 1.8us        | 1.8us        | 1.6us        |
+-----------------------+--------------+--------------+--------------+
| Bus Settle            | 400ns        | 400ns        | 400ns        |
+-----------------------+--------------+--------------+--------------+
| Cable Skew            | 10ns         | 10ns         | 4ns          |
+-----------------------+--------------+--------------+--------------+
| Data Release          | 400ns        | 400ns        | 400ns        |
+-----------------------+--------------+--------------+--------------+
| Deskew                | 45ns         | 45ns         | 45ns         |
+-----------------------+--------------+--------------+--------------+
| Hold Time             | 45ns         | 45ns         | Unspecified  |
+-----------------------+--------------+--------------+--------------+
| Negation              | 90ns         | 90ns         | Unspecified  |
+-----------------------+--------------+--------------+--------------+
| Reset Hold            | 25us         | 25us         | 25us         |
+-----------------------+--------------+--------------+--------------+
| Selection Abort       | 200us        | 200us        | 200us        |
+-----------------------+--------------+--------------+--------------+
| Selection Timeout     | 250ms        | 250ms        | 250ms        |
+-----------------------+--------------+--------------+--------------+
| Disconnect            | Unspecified  | 200us        | Unspecified  |
+-----------------------+--------------+--------------+--------------+
| Power to Selection    | Unspecified  | 10s          | 10s          |
+-----------------------+--------------+--------------+--------------+
| Reset to Selection    | Unspecified  | 250ms        | 250ms        |
+-----------------------+--------------+--------------+--------------+
| Fast Assert           | Unspecified  | 30ns         | Unspecified  |
+-----------------------+--------------+--------------+--------------+
| Fast Cable Skew       | Unspecified  | 5ns          | Unspecified  |
+-----------------------+--------------+--------------+--------------+
| Fast Deskew           | Unspecified  | 20ns         | Unspecified  |
+-----------------------+--------------+--------------+--------------+
| Fast Hold             | Unspecified  | 10ns         | Unspecified  |
+-----------------------+--------------+--------------+--------------+
| Fast Negation         | Unspecified  | 30ns         | Unspecified  |
+-----------------------+--------------+--------------+--------------+


'''
